Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::transformed< Fn1, Fn2 > Struct Template Reference
Functional

## Public Member Functions
template<typename... Args>
auto | operator() (Args &&... args) noexcept(noexcept(decltype(CPP_AUTO_FUN_RETURNS_const,)(CPP_AUTO_FUN_RETURNS_const,))) -> decltype(CPP_AUTO_FUN_RETURNS_const,)
template<typename... Args>
auto | operator() (Args &&... args) noexcept(noexcept(decltype(invoke(first_, invoke(second_, static_cast< Args && >(args)...)))(invoke(first_, invoke(second_, static_cast< Args && >(args)...))))) -> decltype(invoke(first_, invoke(second_, static_cast< Args && >(args)...)))
constexpr | transformed (Fn1 fn1, Fn2 fn2)